/* 
 * File:   variable.h
 * Author: Arthur Brandao
 *
 * Gestion des variables locales
 * 
 * Created on 21 décembre 2018
 */

#ifndef VARIABLE_H
#define VARIABLE_H

/* --- Include --- */
#include "constante.h"
#include "subdiv.h"

/* --- Fonctions --- */
/**
 * Remplace les variables par leur valeur dans une chaine
 * @param char* La chaine à traiter
 * @param subdiv* Le gestionnaire de memoir epar subdivision ou sont stocker les valeur
 * @param char* La mémoire ou sont les valeurs
 * @return La chaine avec les valeurs replacées
 */
char* parse_var(char*, subdiv*, char*);

#endif /* VARIABLE_H */

